"""empty message

Revision ID: 58723a41dc8d
Revises: a9178607e5e3
Create Date: 2020-12-28 17:21:36.036907

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '58723a41dc8d'
down_revision = 'a9178607e5e3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('marked',
    sa.Column('course_id', sa.Integer(), nullable=False),
    sa.Column('attendance_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['attendance_id'], ['student.id'], ),
    sa.ForeignKeyConstraint(['course_id'], ['attendance.id'], ),
    sa.PrimaryKeyConstraint('course_id', 'attendance_id')
    )
    op.drop_constraint('attendance_ibfk_2', 'attendance', type_='foreignkey')
    op.drop_column('attendance', 'present')
    op.drop_column('attendance', 'student_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('attendance', sa.Column('student_id', mysql.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('attendance', sa.Column('present', mysql.TINYINT(display_width=1), autoincrement=False, nullable=True))
    op.create_foreign_key('attendance_ibfk_2', 'attendance', 'student', ['student_id'], ['id'])
    op.drop_table('marked')
    # ### end Alembic commands ###
